## ros-indigo-octomap-server 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(octomap_server)

set(PACKAGE_DEPENDENCIES
  roscpp
  visualization_msgs
  sensor_msgs
  pcl_ros
  pcl_conversions
  nav_msgs
  std_msgs
  std_srvs
  octomap_ros
  octomap_msgs
  dynamic_reconfigure
  nodelet  
)


find_package(catkin REQUIRED COMPONENTS ${PACKAGE_DEPENDENCIES})

find_package(PCL REQUIRED QUIET COMPONENTS common sample_consensus io segmentation filters)

find_package(octomap REQUIRED)
add_definitions(-DOCTOMAP_NODEBUGOUT)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${PCL_INCLUDE_DIRS}
  ${OCTOMAP_INCLUDE_DIRS}
)


generate_dynamic_reconfigure_options(cfg/OctomapServer.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS ${PACKAGE_DEPENDENCIES}
  DEPENDS octomap PCL
)

set(LINK_LIBS
  ${OCTOMAP_LIBRARIES}
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)

add_library(${PROJECT_NAME} src/OctomapServer.cpp src/OctomapServerMultilayer.cpp src/TrackingOctomapServer.cpp)
target_link_libraries(${PROJECT_NAME} ${LINK_LIBS})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)

add_executable(octomap_server_node src/octomap_server_node.cpp)
target_link_libraries(octomap_server_node ${PROJECT_NAME} ${LINK_LIBS})

#add_executable(octomap_color_server_node src/octomap_color_server_node.cpp)
#target_link_libraries(octomap_color_server_node ${PROJECT_NAME} ${LINK_LIBS})

add_executable(octomap_server_static src/octomap_server_static.cpp)
target_link_libraries(octomap_server_static ${PROJECT_NAME} ${LINK_LIBS})

add_executable(octomap_server_multilayer src/octomap_server_multilayer.cpp)
target_link_libraries(octomap_server_multilayer ${PROJECT_NAME} ${LINK_LIBS})

add_executable(octomap_saver src/octomap_saver.cpp)
target_link_libraries(octomap_saver ${PROJECT_NAME} ${LINK_LIBS})

add_executable(octomap_tracking_server_node src/octomap_tracking_server_node.cpp)
target_link_libraries(octomap_tracking_server_node ${PROJECT_NAME} ${LINK_LIBS})

# Nodelet
add_library(octomap_server_nodelet src/octomap_server_nodelet.cpp)
target_link_libraries(octomap_server_nodelet ${PROJECT_NAME} ${LINK_LIBS})

# install targets:
install(TARGETS ${PROJECT_NAME}
  octomap_server_node
  octomap_server_static
  octomap_server_multilayer
  octomap_saver
  octomap_tracking_server_node
  octomap_server_nodelet
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".svn" EXCLUDE
)

install(FILES nodelet_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-octomap-server (0.6.0-0trusty) trusty; urgency=high

  * Add sensor model parameters to dynamic_reconfigure
  * Load map file from rosparam
  * Add x and y filter for pointcloud
  * Preparations for ColorOctomapServer (compile option, from source)
  * Fix iterator in OctomapServer
  * TrackingOctomapServer: Publish node center rather than index, prevent from publishing empty cloud
  * Contributors: Armin Hornung, Javier V. Gomez, JJeremie Deray, MasakiMurooka, Shohei Fujii, Wolfgang Merkt

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Thu, 24 Mar 2016 23:00:00 -0000

ros-indigo-octomap-server (0.5.3-0trusty) trusty; urgency=high

  * Fixing PCL linking errors on build farm

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-octomap-server (0.5.2-0trusty) trusty; urgency=high

  * Fixing PCL linking errors on build farm

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-octomap-server (0.5.1-0trusty) trusty; urgency=high

  * Fix missing nodelet plugin from install

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Sun, 24 Nov 2013 23:00:00 -0000

ros-indigo-octomap-server (0.5.0-0trusty) trusty; urgency=high

  * Small fix in octomap_server_static usage
  * Catkinization, remove support for arm_navigation

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Wed, 23 Oct 2013 22:00:00 -0000

ros-indigo-octomap-server (0.4.9-0trusty) trusty; urgency=high

  * cleanup of unused functions
  * Parameters, reading .bt files in octomap_server_static
  * added simple octomap_server_static node to serve OctoMaps from .ot files (no scan integration)
  * Fix for incremental 2D projection map updates (thx to B.Coenen for the report)
  * Publish free space as MarkerArray and CollisionMap (set parameter ~publish_free_space=True to enable). Thx to I. Wieser!
  * renamed OctomapServer's NodeHandle constructor parameter to be more clear, added the same to OctomapServerMultilayer

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Wed, 26 Jun 2013 22:00:00 -0000

ros-indigo-octomap-server (0.4.8-0trusty) trusty; urgency=high

  * Applied patch from issue #7 <https://github.com/OctoMap/octomap_mapping/issues/7>: Nodelet version of octomap_server
    Modified to not change the global namespace
  * fixes for cmake / catkin
  * fixed octomap_server for OctoMap 1.5 (deprecations), adjusted to new msg format
  * changed message format to contain only data, meta information stored in new message fields (untested for Groovy)

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Mon, 07 Jan 2013 23:00:00 -0000

ros-indigo-octomap-server (0.4.6-0trusty) trusty; urgency=high

  * Added NodeHandle parameter to OctomapServerMultilayer constructor
  * Commited patch #7 <https://github.com/OctoMap/octomap_mapping/issues/7>, contributed by M. Liebhardt: Nodelet version of the octomap server
  * octomap_server and octomap_saver now fully support both binary and full occupancy maps
  * octomap_server can now open .ot files properly, updated octomap_ros to new-style stack.xml
  * deprecated OctomapROS in octomap_ros => directly use octomap lib and conversions.h
  * removed OctomapROS wrapper from octomap_server classes
  * octomap_server manifest exports dynamic_reconfigure path in cppflags
  * parameter in launch file adjusted

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Sun, 27 Jan 2013 23:00:00 -0000

ros-indigo-octomap-server (0.4.5-0trusty) trusty; urgency=high

  * new parameter to enable incremental 2D mapping (experimental, default: false)
  * bug fix for OctomapServer map projection
  * Fixed OctomapServer not clearing obstacles in projected 2D map properly
  * fixed map reset and incremental 2D updates
  * added arm layer height lookup
  * Fixed resolution change (dynamic_reconfigure) and dynamic map size w. incremental updates
  * incremental update of projected 2D maps only in updated 3D region, map dynamically grows
  * increased Electric compatibility of octomap_server
  * OctomapServer keeps track of update region for downprojected 2D map

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Sun, 17 Jun 2012 22:00:00 -0000

ros-indigo-octomap-server (0.4.4-0trusty) trusty; urgency=high

  * Turned octomap_msgs and octomap_ros into unary stacks, code in octomap_mapping adjusted

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Thu, 19 Apr 2012 22:00:00 -0000

ros-indigo-octomap-server (0.4.3-0trusty) trusty; urgency=high

  * Merged rev 2477:2613 from trunk:
    - fixed ground filter
    - added missing license headers, improved code layout to ROS standard
    - adjusted to OctoMap 1.4 changes
    - collision map publisher & eraser script ported from branch
    - disabled lazy update temporarily (needs param)
    - dynamic reconfigure interface to limit query depth (and voxel resolution) on the fly

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Mon, 16 Apr 2012 22:00:00 -0000

ros-indigo-octomap-server (0.4.2-0trusty) trusty; urgency=high

  * fixed ground filter (from trunk, electric)nVersion increased to 0.4.2

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Thu, 15 Mar 2012 23:00:00 -0000

ros-indigo-octomap-server (0.4.1-0trusty) trusty; urgency=high

  * switched octomap_ros and octomap_server to pure CMake-style linking, version 0.4.1
  * removed uneccesary FindEigen.cmake files

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Tue, 21 Feb 2012 15:50:00 -0000

ros-indigo-octomap-server (0.4.0-0trusty) trusty; urgency=high

  * removed eigen package from depends
  * Transitioned octomap package to deprecated, now forwards flags with pkg-config to system dependency

 -- Armin Hornung <hornunga@informatik.uni-freiburg.de>  Tue, 21 Feb 2012 14:37:00 -0000

ros-indigo-octomap-server (0.3.8-0trusty) trusty; urgency=high

  * increased octomap version to 1.4.2, stack version 0.3.8



=== debian/control ===
Source: ros-indigo-octomap-server
Section: misc
Priority: extra
Maintainer: Armin Hornung <hornunga@informatik.uni-freiburg.de>
Build-Depends: debhelper (>= 9.0.0), libpcl-1.7-all-dev, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-octomap, ros-indigo-octomap-msgs, ros-indigo-octomap-ros, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-visualization-msgs
Homepage: http://www.ros.org/wiki/octomap_server
Standards-Version: 3.9.2

Package: ros-indigo-octomap-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-1.7-all, ros-indigo-dynamic-reconfigure, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-octomap, ros-indigo-octomap-msgs, ros-indigo-octomap-ros, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-visualization-msgs
Description: octomap_server loads a 3D map (as Octree-based OctoMap) and distributes it to other nodes in a compact binary format.
 It also allows to incrementally build 3D OctoMaps, and provides map saving in the node octomap_saver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-octomap-server//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
